<?php

declare(strict_types=1);

namespace Drupal\native_observability\Event;

use Symfony\Contracts\EventDispatcher\Event;

/**
 * Event fired after all traces have been deleted.
 */
final class TracesDeletedEvent extends Event {

  /**
   * The number of deleted traces.
   */
  private int $deletedCount;

  /**
   * Constructs the event.
   */
  public function __construct(int $deleted_count) {
    $this->deletedCount = $deleted_count;
  }

  /**
   * Returns the number of deleted traces.
   */
  public function getDeletedCount(): int {
    return $this->deletedCount;
  }

}
